Package com.xebialabs.deployit.plugin.overthere

## Enum CopyStrategyName

- java.lang.Object
- - java.lang.Enum<CopyStrategyName>
  - - com.xebialabs.deployit.plugin.overthere.CopyStrategyName

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CopyStrategyName>`

      public enum CopyStrategyName
      extends java.lang.Enum<CopyStrategyName>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `OneByOne` |
    `Tar` |
    `ZipUnix` |
    `ZipWindows` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CopyStrategyName` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CopyStrategyName[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OneByOne

          public static final CopyStrategyName OneByOne

    - #### ZipWindows

          public static final CopyStrategyName ZipWindows

    - #### Tar

          public static final CopyStrategyName Tar

    - #### ZipUnix

          public static final CopyStrategyName ZipUnix

  - ### Method Detail

    - #### values

          public static CopyStrategyName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CopyStrategyName c : CopyStrategyName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CopyStrategyName valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null